07.08.2007 - 1.144.0.10 ==========================================================
 - добавилась игровая статистика. Внешний вид её может грузиться из файла.
 - появился параметр appeartank, который говорит, что делать танку при появлении,
   если его площаджка занята. 0 - ждем освобождения, 1 - появляемся на другой, 2 - взрывает

10.03.2007 - 1.144.0.7  beta =====================================================
 - исправлено: неправильно считалась статистика по игрокам (не сбрасывалась в начале раунда)
 - добавлено: опция viewstatistic - показывать ли статистику в конце раунда

10.03.2007 - 1.144.0.6  beta =====================================================
 - добавлено: в статистике также считаются очки
 - добавлено: в програмке перевода статистики в текстовый вид, добавлены строчки
   "убито танков игрока 3", "убито танков игрока 4" и "набрано очков" 

09.03.2007 - 1.144.0.5 beta =====================================================
 - Очков медленным танкам за знамя дают 25
 - исправлено: в версии 1.144.0.4 очки при начале раунда сбрасывались
 - исправлено: ошибки при выводе циферок. К примеру, при выводе номеров танка,
   если номер двузначный, часто оставался шлейф.
 - исправлено: не всегда определялось что танков противника нет или что быстрые танки кончились

04.03.2007 - 1.144.0.4 beta =====================================================
 - имя игрока может быть до 19 символов
 - частично вернулась статистика. Она собирается и сохраняется в файл при выходе,
   но не показывается. Статистика собирается отдельно за раунд и за игру.
 - исправлено: неправильно начислялись очки
 - исправлено: при выборе последней карты в наборе, игра начиналась на первой
 - исправлено: при нескольких местах появления игрока, игрок появляется на случайном из них
   (было - на одном и том же)

28.02.2007 - 1.144.0.1 beta =====================================================
 - В меню появились экраны с настройками появления призов.
 - В экране с выбором карты появились надписи с автором текущей карты и 
   количеством карт в наборе.

27.02.2007 - 1.144.0.1 beta =====================================================
 - В меню можно выводить надписью константы:
    $MAPSAUTOR$    - автор текущего набора карт
    $MAPSNUMBER$   - количество карт в текущем наборе
    $TANKTIKSSITE$ - адрес сайта танчиков
    $FORUMSITE$    - форум сайта танчиков
    $TANKTIKSMAIL$ - e-mail для связи с авторами танчиков

16.12.2006 - 1.144 beta =========================================================
 - Танков может быть до 30 в каждой команде.
 - У красных и у синих может быть разное кол-во танков в команде
 - Задаётся где появляются быстрые, а где медленные танки
 - Задаётся где должны появляться игроки

02.12.2006 - 1.143 ===== Release ================================================
 - Исправлено: Если уничтожены оба флага, то в любом случае присуждается ничья, даже
если у одной команды остались танки, а у другой нет
 - Добавлено: В файле скина можно задавать имена танкам

02.11.2006 - 1.142 ===== Release ================================================
 - Исправлено: При попадании в угол или край танка танк иногда не взрывался
 - Исправлено: В статистике показывается сколько раз был убит игрок 3 и и игрок 4

25.09.2006 - 1.141 ===== Release ================================================
 - Исправлено: После того, как все танки противника подбиты и не появляются, дается время на уничтожение флага противника. По истечении этого времени присуждается победа, но очки за флаг не даются

06.09.2006 - 1.140
 - Исправлено: Глюк с неубиванием танка с первого раза.

31.08.2006 - 1.138
 - Добавлено: Появился параметр SKIN_VERSION = версия игры, для которой разрабатывается скин
 - Добавлено: Параметры для разметки окошек сообщений о победе задаются относительно угла области вывода собщения о победе в игре/раунде, а не относительно окна, как раньше. Если номер версии не вставлять в скин (или номер версии будет меньше 138), то можно не переделывать
 - Добавлено: Появились параметры для задания местоположения окошка с результатами раунда и вывода краткой статистики по 4 игрокам в том же окне

30.08.2006
 - Исправлено: при загрузке опций в имени игрока грузилось только 8 символов
 - Изменено: Если танков врага не осталось, то медленные танки едут в атаку с большей вероятностью
 - Добавлено: Появились некоторые параметры для задания свойств окошка с результатами победы

26.08.2006 - 1.137
 - Добавлено: В опциях можно задать выполнение какого-либо чита выбором пункта меню
 - Исправлено: У игрока 3 не задавалась опция "влево"
 - Изменено: При просмотре статистики клавиши Enter и Space - следующий экран. Если экран последний, то выход из просмотра статистики

24.08.2006
 - Добавлено: Чит VIEWNUMBER - меняет опцию "Показывать номера танков" во время игры
 - В опциях появились параметры, отвечающие за кол-во жизней танков. Если параметр равен нулю, то кол-во жизней не ограничено

23.08.2006 
 - Добавлено: В скине появились разные стрелочки для 3-го и 4-го игрока. Если не задано, то они совпадают со стрелочками первого и второго игроков
 - Добавлено: В меню у пунктов можно задавать параметры itemN_yes=есть и itemN_no =нет. Если это переменная типа "да-нет", то значение этих параметров будет выводится вместо "есть" или "нет"
 - Добавлено: У целочисленных параметров появился шаг: itemN_step
 - Исправлено: Диапазон опции тайме сузился - стал от 30 до 50

22.08.2006 - 1.136
 - Добавлено: Опции для 3-го и 4-го игрока (в скине нет и не предвидится)
 - Добавлено: Возможность играть втроем и вчетвером
 - Изменено: При просмотре статистики нажатие на Enter или Space переводят на следующий экран

19.08.2006 - 1.135
 - Исправлено: При игре вдвоем не сохранялась статистика у второго игрока
 - Добавлено: Подсчитывается кол-во раундов за быстрый и медленный танки

12.08.2006 - 1.134
 - Добавлено: Собираются параметры "раундов с режимом бога", "одиночных читов",
   "получено призов при постоянном призе"
 - Исправлено: попадания в бетонную стену считались за результативное попадание
  
10.08.2006
 - Исправлено: В случае несовпадения размера файла со статистикой он не перезаписывался
 - Исправлено: Неиспользуемые параметры обнуляются
 
10.08.2006 - 1.133
 - Исправлено: Сохранения статистики происходят в других местах
 - Изменено: В структуре со статистикой добавились дополнительные поля, пока пусты - для возможного расширения, чтобы статистика не сбрасывалась.

09.08.2006 - 1.132
 - Изменено: Максимальная длина имени игрока - 9 символов
 - Исправлено: Попадание в две стены сразу считается за одно попадание
 - Добавлено: Сохраняются файлы со статистикой. Имя файла = имя игрока.stat, так что в имени игрока не все символы разрешены.

09.08.2006 - 1.131
 - Добавлено: Параметр статистики "подбито снарядов".
 - Добавлено: Собирается параметр "кол-во попаданий" (в пробиваемые стены, снаряды, танки и знамя противника)
 - Изменено: 23 параметра статистики разбросано по трём экранам

08.08.2006 
 - Добавлено: Клавиши перемещения в экране статистики: Escape, Pause - выход; Right, Down - следующая страничка; Left, Up - предыдущая.

07.08.2006 - 1.130
 - Добавлено: Параметры в файле скина в разделе [REPORT] для настройки внешнего вида экрана (экранов) со статистикой

04.08.2006 - 1.129
 - Добавлено: Статистика: выстрелов, подбито танков врага, из них быстрых, медленных, подбито своих танков, из них быстрых, медленных, подбито флагов врага, подбито своих флагов, подбито танков игрока 1, подбито танков игрока 2, подбито стен, собрано призов по видам (8 параметров - за 8 типов призов).
 - Добавлено: Собирается кол-во начатых раундов, сыгранных раундов, побед, ничьих, поражений.

03.08.2006 - 1.128
 - Добавлено: Вернулся чит REPORT - пока такой же, как был. В игре при нажатии
   паузы выполняется этот же чит.

02.08.2006 - 1.127 ===== Release ================================================
 - Исправлено: Глюк с джойстиком.
 - Добавлено В базовом меню в опциях появилась опция "Ввести чит"
   
20.06.2006 = 1.126 ===== Release ================================================
 - Удалено: Искусственная пауза между нажатиями клавиши в меню
 - Исправлено: В классе меню не инициализировалась одна переменная 

24.05.2006 = 1.125
 - Исправлено: При смене скина не переинициализировался курсор

23.05.2006 = 1.124
 - Исправлено: При загрузке опций иногда неправильно грузились переменные типа "да-нет"
 - Изменено: После смены режима "оконный/полноэкранный" выходим на первый экран меню
 - Изменено: Экран "Авторы" в меню базового скина.

22.05.2006 = 1.123
 - Исправлено: Снаряды при столкновении не убирались и после взрыва оставались их части
 - Добавлено: В bin-файл добавились настройки мигания приза на поле
 - Добавлено: Вернулись читы
 - Исправлено: в смене карт было перепутано местами "случайно" и "последовательно"

21.05.2006
 - Исправлено: Убрал ссылки на картинку приза "Много пуль", так как он давно уже объединен с призом "Быстрые пули"

20.05.2006 = 1.122
 - Удалено: Убрал при выборе скина слово "художник"
 - Исправлено: Если в скине не было ссылки на новое меню, оно пыталось подгрузиться из файла
   defmenu.bin и игра падала. 

19.05.2006 = 1.121
 - Удалено: Ненужные параметры в файле скина

19.05.2006 = 1.120
 - Добавлено: При заходе на экран подгружаются опции. Теперь можно иметь одинаковые опции в разных экранах

19.05.2006 = 1.119
 - Исправлено: При начале игры имя карты не писалось в заголовке окна.

17.05.2006 = 1.118
 - Исправлено: При сохранении переменных типа "да/нет" в опции иногда портились соседние ячейки

17.05.2006 = 1.117
 - Исправлено: С экрана, в который мы вышли по ESCAPE из игры, по ESCAPE возвращаемся обратно в игру
 - Исправлено: При выходе по Alt+F4 процесс оставался висеть в памяти.

16.05.2006 = 1.116
 - Добавлено: Если в меню в надписи написать "$VERSION$", то она заменяется на номер версии игры
 - Добавлено: Тип пункта меню может быть CHEAT - строка, при вводе в которой будут активироваться читы. Самих читов пока нет.

16.05.2006 = 1.115
 - Добавлено: Если при выходе из окна опций изменился режим окна, то меняем его.


15.05.2006 = 1.114
 - Добавлено: В меню появился "возврат в предыдущую игру"
 - Изменено: При нажатии на клавишу проигрывается звук "Here.wav"
 - Изменено: При смене скина автоматически переносит к первому экрану нового меню
 - Исправлено: при перезагрузке меню фон основного экрана не переинициализировался
 - Исправлено: иногда при начале игры она тут же выходила в меню по ESС.

15.05.2006 = 1.113
 - Добавлено: В файле скина появился параметр Menu=defmenu.cfg
 - Меню встроено.

12.05.2006
 - Удалено: Всё. Встраивается меню.

18.04.2006 = 1.112
 - Добавлено: Вернулась поддержка джойстика

17.04.2006 = 1.111-
 - Исправлено: при стрельбе вверх танк попадал в себя
 - Начал переделываться класс опций

11.04.2006 = 1.110
 - Добавлено: Анимация снарядов. Появилась, но вообще никак не тестировалась
 - Добавлено: В скине появились параметры, отвечающие за размер снаряда.

10.04.2006 = 1.109
 - Добавлено: появилась анимация призов

08.04.2006
 - Исправлено: нумерация версий. Последняя версия на данный момент - 1.108
 - Добавлено: параметры, отвечающие за анимацию призов; самой анимации пока нет.

01.04.2006 ===== Release ================================================
 - Исправлено: не подгружались параметры отображения надписи о победе

10.02.2006
 - Добавлено: В файле с опциями появилась опция, определяющая, сверху или снизу танка выводить полоску "здоровья".
 - Добавлено: Если танк убивается любым танком с одного попадания, то полоска жизни не выводится
 - Добавлено: Диалог в опциях, посвященный броне, кнопки "Играть с броней", "Показывать полоску жизни" и "Полоска жизни сверху танка"
 - Исправлено: при выборе случайной смены карт можно было всё равно выбирать карту клавишами "следующая карта" и "предыдущая карта"
 - Исправлено: если броня или сила снаряда меньше 1, то она равна 1.

04.02.2006
 - Добавлено: В скине появился раздел [LifeBar], в котором задаются полоски "здоровья"
 - Добавлено: В файле с опциями появились опции, разрешающие броню и показывающие полоску "здоровья"

01.02.2006
 - Добавлено: появились параметры FTANKARMOUR и STANKARMOUR, определяющие жизнестойкость танка.

31.01.2006
 - Исправлено: по умолчанию при старте игры настройки пытались браться из папки "skin", а не "skins".
 - Исправлено: временный файл для маски создается не в текущей папке, а берется имя временного файла от ОС. Теоретически, игра теперь должна нормально работать с переносного носителя
 - Изменено: Опции записываются в файл при выходе из опций по нажатию на "ОК", а не при выходе из игры
 - Изменено: Список скинов обновляется при входе во "всякие опции"
 - Изменено: при смене скина текущая игра завершается и очищается карта.

27.09.2005
 - Добавлено: Появилась возможность задавать траву спрайтом любого размера.

04.09.2005
 - Изменено: ENGINESOUND перебрался из bin-Файла в файл с настройкой скина
 - Добавлено: В файле скина появились параметры, определяющие графику мест восстановления танков. У синих и красных могут быть разными.
 - Исправлено: Некоторые ошибки при обработке звуков двигателей

29.08.2005
 - Добавлено: Появились звуки двигателей для легкого и тяжелого танков
 - Добавлено: В bin-файле Появился параметр ENGINESOUND, определяющий, есть ли звуки двигателей

24.07.2005
 - Изменено: в опциях появилась кнопочка "скорость игры".
 - Добавлено: в опциях появился пунктик "полноэкранный режим"
 - Изменено: в опциях переделан выбор клавиш
 - Удалено: Убрал читы GAMESPEED, P1DEFINE, P2DEFINE

22.07.2005
 - Добавлено: В файле с опциями появился параметр ViewTanksNumber, Если он равен 1, то у танков появляются их номера (от 0 до 9).
 - Добавлено: В файле со скинами появились параметры, задающие расположение пунктов "Новая игра", "Опции" и "Выход" в меню.
 - Исправлено: В скинах неправильно задавалось положение курсора напротив пункта меню.

21.07.2005
 - Добавлено: В опциях появилась возможность задавать смену карт: не менять,
   менять случайно, менять последовательно.
 - Добавлено: В опциях появилась возможность задавать до скольки играть
   побед, игр, очков, в любом сочетании

20.07.2005
 - Исправлено: Убрал глюк с пропадающей анимацией у танков компьютера
 - Добавлено: В скине у танка появился параметр StopAnimation. Если он равен 1, то анимация прокручивается во время стоянки танка. Если равен 0, то не прокручивается.

18.07.2005
 - Удалено: Из меню убрал помошь, так как её всё равно нет.
 - Удалено: Убрал из скина параметр MaskaSign_X и MaskaSign_Y. Давно уже не нужны.
 - Исправлено: Если при загрузке параметров из bin-файла или из скина часть параметров отсуствовала, то они оставались от предыдущего скина.
 
08.07.2005
 - Добавлено: В настройках скина появилась возможность задавать bin-файл

05.05.2005
 - Исправлено: При смене разрешение на большее сейчас все снизу прорисовывается.
 - Исправлено: После смены разрешения окно игры прячется и вновь показывается.

01.05.2005
 - Добавлено: В скине можно задавать расположение стрелочки напротив пунктов меню.
 - Исправлено: Не применялось значение расположения циферок в скине
 - Добавлено: В опциях в выборе графики настройки берутся из скина

26.04.2005
 - Добавлено: В скине появилась возможность задавать каталог со звуками

25.04.2005
 - Исправлено: При смерти танка игрока  нажатые клавиши не очищаются

24.04.2005
 - Исправлено: При смене скинов прозрачный цвет оставался от прошлого до перезагрузки.
 - Добавлено: Значения для каждого танка - кадров анимации и задержка между сменами кадров

07.09.2004
 - Добавлено: Мерцание заморозки флагов перед исчезновением.
 - Добавлено: В скине появились параметры для цвета шрифта в диалогах о победе.

06.09.2004
 - Исправлено: У ландшафта при загрузке скина координата Х подгружалась, но не
   использовалась
 - Исправлено: Если в опциях стоял скин, которого не было, то была неопределенная ситуация.
 - Исправлено: Убрал проверку контрольной суммы в скине. Теперь автор пишется без проверки.
 - Изменено: Цвета в скине задаются одной строчкой через запятую
 - Добавлено: В скине появился цвет фона для диалога победы

04.09.2004
 - Добавлено: В tanktiks.bin появились параметры, описывающие какому танку, сколько за что
   давать очков.

02.09.2004
 - Добавлено: В опциях появились параметры - какие призы могут появляться в случайном призе. Случайные призы также появляются в зависимости от этих опций.

25.08.2004
 - Добавлено: В файле скина появились настройки с кол-вом кадров анимации для танков
   и задержек. Там же появились параметры для задания прозрачного цвета в
   картинке.
 - Исправлено: Некорректно летели снаряды вниз и вправо, что приводило к эффекту,
   когда на малых скоростях снаряды летели сквозь препятствия.
 
22.08.2004
 - Добавлено: В опциях параметр "WinDlgDelay" показывает, сколько секунд будет висеть диалог
   о победе в раунде, если не нажимать клавиши. Если параметр равен нулю, то будет висеть до нажатия.

20.08.2004
 - Исправлено: При просмотра целей справа и снизу от танка был выход за границу
   карты (при этом просматривается крайняя верхняя или левая клетка).
 - Исправлено:  имя файла с картами может содержать пробелы.

17.08.2004
 - Исправлено: танки иногда подруливали об флаг.

16.08.2004
 - Добавлено: при выборе скина в квадратных скобках теперь пишется автор скина.

15.08.2004
 - Добавлено: танки непосредственно перед стрельбой проверяют, не попадут ли они
   в своего союзника или в знамя

13.08.2004
 - Исправлено: танки перестали "подруливать" об флаги
 - Исправлено: при стрельбе влево, если даже стрелять посередине кирпича, поервждалась
   только одна четвертинка. Теперь две.

13.08.2004
Только-только начал вестись этот лог.

